package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CenterLeaderRelationCollection extends AbstractObjectCollection 
{
    public CenterLeaderRelationCollection()
    {
        super(CenterLeaderRelationInfo.class);
    }
    public boolean add(CenterLeaderRelationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CenterLeaderRelationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CenterLeaderRelationInfo item)
    {
        return removeObject(item);
    }
    public CenterLeaderRelationInfo get(int index)
    {
        return(CenterLeaderRelationInfo)getObject(index);
    }
    public CenterLeaderRelationInfo get(Object key)
    {
        return(CenterLeaderRelationInfo)getObject(key);
    }
    public void set(int index, CenterLeaderRelationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CenterLeaderRelationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CenterLeaderRelationInfo item)
    {
        return super.indexOf(item);
    }
}